Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001595KdenliveFile Loadingpublic2010-05-12 17:012010-09-14 23:00
Reporterassem046 
Assigned Toj-b-m 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformX64OSOpensuseOS Version11.2
Product VersionRecent git 
Target VersionFixed in Version0.7.8 
Summary0001595: KDenlive crash after adding file.
DescriptionWhen loading a videofile in a new project (dnxhd mov) Kdenlive crashed immediately. I'm using KDenlive svn4433 and mlt 0.5.5 latest git. This happen always.
Steps To ReproduceOpen a videofile in a new/empty project.
Additional InformationBacktrace from KDE DRKonqi:

Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f07e51e9750 (LWP 10949))]

Thread 3 (Thread 0x7f07cb11d910 (LWP 10956)):
#0 0x00007f07e24f62cd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1 0x00007f07e4dff636 in mlt_consumer_get_frame (this=0xda2020) at mlt_consumer.c:502
0000002 0x00007f07e4dff775 in mlt_consumer_rt_frame (this=0xda213c) at mlt_consumer.c:900
0000003 0x00007f07d30b835c in consumer_thread (arg=<value optimized out>) at consumer_sdl_still.c:558
0000004 0x00007f07e24f165d in start_thread () from /lib64/libpthread.so.0
0000005 0x00007f07e0c1ce1d in clone () from /lib64/libc.so.6
0000006 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f07cb91e910 (LWP 10957)):
#0 0x00007f07e24f6049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1 0x00007f07d30b7c95 in consumer_thread (arg=<value optimized out>) at consumer_sdl_preview.c:428
0000002 0x00007f07e24f165d in start_thread () from /lib64/libpthread.so.0
0000003 0x00007f07e0c1ce1d in clone () from /lib64/libc.so.6
0000004 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f07e51e9750 (LWP 10949)):
[KCrash Handler]
0000005 0x00007f07d787aaf4 in ?? () from /usr/lib64/libswscale.so.0
0000006 0x00007f07d7886f38 in ?? () from /usr/lib64/libswscale.so.0
0000007 0x00007f07d7887ba7 in sws_scale () from /usr/lib64/libswscale.so.0
0000008 0x00007f07d8e34228 in filter_scale (this=0xb2c120, image=<value optimized out>, format=<value optimized out>, iwidth=<value optimized out>, iheight=1080, owidth=64, oheight=36)
    at filter_swscale.c:136
0000009 0x00007f07d38e54d1 in filter_get_image (this=0xb2c120, image=<value optimized out>, format=<value optimized out>, width=0x7fff985110ec, height=0x7fff985110e8, writable=<value optimized out>)
    at filter_rescale.c:233
0000010 0x00007f07e4df2d5a in mlt_frame_get_image (this=0xb2c120, buffer=0x7fff98511198, format=0x7fff98511f2c, width=0x7fff985110ec, height=0x7fff985110e8, writable=<value optimized out>)
    at mlt_frame.c:389
0000011 0x00007f07d38e58e5 in filter_get_image (this=0xb2c120, image=0x7fff98511198, format=0x7fff98511f2c, width=0x7fff98511f28, height=0x7fff98511f24, writable=0) at filter_resize.c:262
0000012 0x00007f07e4df2d5a in mlt_frame_get_image (this=0xb2c120, buffer=0x7fff98511198, format=0x7fff98511f2c, width=0x7fff98511f28, height=0x7fff98511f24, writable=<value optimized out>)
    at mlt_frame.c:389
0000013 0x00007f07e4bdb1dd in Mlt::Frame::get_image(<anonymous enum> &, int &, int &, int) (this=0xd1bba0, format=@0x7fff98511f2c, w=@0x7fff98511f28, h=@0x7fff98511f24, writable=0) at MltFrame.cpp:59
0000014 0x00000000004a7195 in Render::getFileProperties (this=<value optimized out>, xml=<value optimized out>, clipId=<value optimized out>, imageHeight=<value optimized out>,
    replaceProducer=<value optimized out>) at /usr/src/debug/kdenlive-0.7.8/src/renderer.cpp:751
0000015 0x00000000004aa1d6 in Render::qt_metacall (this=0xd4ff30, _c=<value optimized out>, _id=<value optimized out>, _a=<value optimized out>)
    at /usr/src/debug/kdenlive-0.7.8/build/src/cmake_bindir/renderer.moc:145
0000016 0x00007f07e2883916 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
0000017 0x0000000000473268 in ProjectList::getFileProperties (this=0x12b5308, _t1=<value optimized out>, _t2=<value optimized out>, _t3=36, _t4=240)
    at /usr/src/debug/kdenlive-0.7.8/build/src/cmake_bindir/projectlist.moc:262
0000018 0x00000000004790e0 in ProjectList::slotProcessNextClipInQueue (this=0xacdba0) at /usr/src/debug/kdenlive-0.7.8/src/projectlist.cpp:923
0000019 0x000000000048357c in ProjectList::qt_metacall (this=0xacdba0, _c=InvokeMetaMethod, _id=19625792, _a=0x7fff985124d0) at /usr/src/debug/kdenlive-0.7.8/build/src/cmake_bindir/projectlist.moc:238
0000020 0x00007f07e2883916 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
0000021 0x00007f07e28801a3 in QObject::event(QEvent*) () from /usr/lib64/libQtCore.so.4
0000022 0x00007f07e17dc35c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
0000023 0x00007f07e17e293b in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
0000024 0x00007f07e455f016 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
0000025 0x00007f07e287067c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
0000026 0x00007f07e289d435 in ?? () from /usr/lib64/libQtCore.so.4
0000027 0x00007f07e289a008 in ?? () from /usr/lib64/libQtCore.so.4
0000028 0x00007f07dd387e2e in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
0000029 0x00007f07dd38b7f8 in g_main_context_iterate () from /usr/lib64/libglib-2.0.so.0
0000030 0x00007f07dd38b920 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
0000031 0x00007f07e2899cd3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000032 0x00007f07e188ab2e in ?? () from /usr/lib64/libQtGui.so.4
0000033 0x00007f07e286ef92 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000034 0x00007f07e286f36c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
0000035 0x00007f07e287401b in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
0000036 0x00000000004499b5 in main (argc=<value optimized out>, argv=<value optimized out>) at /usr/src/debug/kdenlive-0.7.8/src/main.cpp:87
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0005133)
assem046 (reporter)
2010-05-12 17:04

I can load a picture file .png and a .ogg and .mp3 without problem. The problem only exist with a moviefile .mov .mp4.
(0005134)
assem046 (reporter)
2010-05-13 11:33

Build again today with rev 4434 and it works again.
This can be marked as solved

- Issue History
Date Modified Username Field Change
2010-05-12 17:01 assem046 New Issue
2010-05-12 17:04 assem046 Note Added: 0005133
2010-05-13 11:33 assem046 Note Added: 0005134
2010-05-18 14:55 j-b-m Status new => resolved
2010-05-18 14:55 j-b-m Fixed in Version => Recent git
2010-05-18 14:55 j-b-m Resolution open => fixed
2010-05-18 14:55 j-b-m Assigned To => j-b-m
2010-09-14 11:01 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:00 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker